package main

import (
	"os"
	"path/filepath"
)

// https://gitee.com/ja-netfilter/ja-netfilter/releases/download/2022.2.0/ja-netfilter-2022.2.0.zip

func CreateWorkDir() {
	homeDir, err := os.UserHomeDir()
	if err != nil {
		panic("get user home dir failed: " + err.Error())
	}

	dir := filepath.Join(homeDir, ".ja")
	if _, err := os.Stat(dir); os.IsNotExist(err) {
		err = os.Mkdir(dir, 0755)
		if err != nil {
			panic("create workdir failed: " + err.Error())
		}
	}
}
