package main

import (
	"errors"
	"fmt"
	"os"
)

var logger = &Logger{}

type Logger struct{}

func (l *Logger) Printf(format string, args ...any) {
	msg := fmt.Sprintf(format+"\n", args...)
	_, _ = fmt.Fprint(os.Stdout, msg)
}

func (l *Logger) Errorf(format string, args ...any) error {
	msg := fmt.Sprintf(format+"\n", args...)
	_, _ = fmt.Fprint(os.Stderr, msg)
	return errors.New(msg)
}
